X2Go Bug report logs - #1293
x2go crashes on start

version graph

Package: x2goclient-4.1.1.1-2018.03.01; Maintainer for x2goclient-4.1.1.1-2018.03.01 is (unknown);

Reported by: Elias Wright <ewrigh32@myune.edu.au>

Date: Wed, 2 May 2018 15:15:02 UTC

Severity: normal

Found in version 4.1.1.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1293; Package x2goclient-4.1.1.1-2018.03.01. (Wed, 02 May 2018 15:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elias Wright <ewrigh32@myune.edu.au>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 02 May 2018 15:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Elias Wright <ewrigh32@myune.edu.au>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2go crashes on start
Date: Wed, 2 May 2018 10:36:13 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient-4.1.1.1-2018.03.01
Version: 4.1.1.1

On program start the program displays message, “PulseAudio failed to start”, then “Can’t  start X.Org Server”. On clicking OK, program closes. Have tried uninstall and reinstall with and without admin privileges.




x2go-INFO-1> "Starting X2Go Client 4.1.1.1..."
x2go-WARNING-1> English language requested, not loading translator.
x2go-WARNING-1> English language requested, not loading translator.
x2go-DEBUG-../src/onmainwindow.cpp:10589> Getting X.Org Server settings.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:583> "$HOME=C:/Users/elias"
x2go-DEBUG-../src/onmainwindow.cpp:2420> Reading 3 sessions from config file.
x2go-DEBUG-../src/sessionbutton.cpp:342> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/sessionbutton.cpp:342> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/sessionbutton.cpp:342> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:13086> libssh not initialized yet. Initializing.
x2go-DEBUG-../src/pulsemanager.cpp:369> pulseaudio --version returned:"pulseaudio 7.1
"

x2go-DEBUG-../src/onmainwindow.cpp:10492> Starting helper servers for Windows ...
x2go-DEBUG-../src/onmainwindow.cpp:10659> "/cygdrive/C/Users/elias/.x2go/var" cygwin var path
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10742> "C:/Users/elias/.x2go/etc/sshd_config created."
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 6000
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10340> Using internal X.Org Server: false
xx2go-DEBUG-../src/onmainwindow.cpp:10408> Running "C:\program files\vcxsrv\vcxsrv.exe" "-multiwindow -notrayicon -clipboard :0"
2go-DEBUG-../src/onmainwindow.cpp:11092> Logging cygwin sshd to: "C:/Users/elias/.x2go/sshLogs/Hp1064.log"
x2go-DEBUG-../src/onmainwindow.cpp:11106> Creating desktop: x2go_elias
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/pulsemanager.cpp:227> pulse started with arguments ("--exit-idle-time=-1", "-n", "-F", "C:\Users\elias\.x2go\pulse\config.pa", "-p", "C:\Users\elias\x2goclient2\pulse\lib\pulse-7.1\modules", "--log-level=debug", "--verbose", "--log-target=file:C:\Users\elias\.x2go\pulse\pulse.log") - waiting for it to finish...
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/pulsemanager.cpp:781> Warning! Pulseaudio's exit code is non-zero.
x2go-DEBUG-../src/pulsemanager.cpp:785> Pulseaudio finished with code:1
x2go-DEBUG-../src/pulsemanager.cpp:788>
x2go-DEBUG-../src/pulsemanager.cpp:791>
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
x2go-DEBUG-../src/onmainwindow.cpp:11199> Failed to start user mode OpenSSH server.


I am using Windows 10 Pro x64
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 13:13:06 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.